package com.mx.dla.dda.contrato.ws.validarMinimoSeleccion;

import java.io.Serializable;


/**
 * Representa los parametros del proceso de obtener Valor Minimo Seleccion enviados desde el front-end, mismos que son 
 * recibidos por este componente. 
 */
public class ParamValidaMinimoSeleccionDTO implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String idContrato;
	private String origenTitulos;
	
	public String getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(String idContrato) {
		this.idContrato = idContrato;
	}
	public String getOrigenTitulos() {
		return origenTitulos;
	}
	public void setOrigenTitulos(String origenTitulos) {
		this.origenTitulos = origenTitulos;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idContrato: _" + this.getIdContrato() + "_" + NEW_LINE);
		result.append(" origenTitulos: _" + this.getOrigenTitulos() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
